com.microfocus.awm.control.internal

## Class RemoteXMLOutputUtilities

- java.lang.Object
- - com.microfocus.awm.control.internal.RemoteXMLOutputUtilities

-     public class RemoteXMLOutputUtilities
      extends java.lang.Object

  Utilities which are needed to perform the Error Feedback

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteXMLOutputUtilities()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `performErrorFeedback(FileDescriptor pFileDescr, IExecutionContext pContext)` write errors from the build action
    `static void` | `performRefreshDependencies(java.util.List<FileDescriptor> pFileDescr, java.lang.String pLanguageCategory, IExecutionContext pContext)` refresh the copybooks local

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteXMLOutputUtilities

          public RemoteXMLOutputUtilities()

  - ### Method Detail

    - #### performErrorFeedback

          public static void performErrorFeedback(FileDescriptor pFileDescr,
                                                  IExecutionContext pContext)
                                           throws TaurusException

      write errors from the build action
      Parameters:
        `pFileDescr` - file descriptor pointing to the file
        `pContext` - execution context of the Build action
      Throws:
        `TaurusException` - if a Taurus exception occurs

    - #### performRefreshDependencies

          public static void performRefreshDependencies(java.util.List<FileDescriptor> pFileDescr,
                                                        java.lang.String pLanguageCategory,
                                                        IExecutionContext pContext)
                                                 throws TaurusException

      refresh the copybooks local
      Parameters:
        `pFileDescr` - file descriptor pointing to the file that contained the copybooks to download
        `pLanguageCategory` - category for the property group need to get the copybooks location
        `pContext` - execution context of the refresh dependencies process
      Throws:
        `TaurusException` - if a Taurus exception occurs

Copyright © 2015 Micro Focus GmbH. All rights reserved.